Base64 (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.encoding.Base64 class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.encoding
Class Base64

    java.lang.Object
      org.hyperic.util.encoding.Base64

    public class Base64

extends java.lang.Object

Constructor Summary
`Base64()`

Method Summary
`static byte[]` | `decode(char[] data, int off, int len)`
`static void` | `decode(char[] data, int off, int len, java.io.OutputStream ostream)`
`static byte[]` | `decode(java.lang.String data)`
`static void` | `decode(java.lang.String data, java.io.OutputStream ostream)`
`static java.lang.String` | `encode(byte[] data)` Returns base64 representation of specified byte array.
`static java.lang.String` | `encode(byte[] data, int off, int len)` Returns base64 representation of specified byte array.
`static void` | `encode(byte[] data, int off, int len, java.io.OutputStream ostream)` Outputs base64 representation of the specified byte array to a byte stream.
`static void` | `encode(byte[] data, int off, int len, java.io.Writer writer)` Outputs base64 representation of the specified byte array to a character stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### decode

    public static byte[] decode(char[] data,
                                int off,
                                int len)

### decode

    public static byte[] decode(java.lang.String data)

### decode

    public static void decode(char[] data,
                              int off,
                              int len,
                              java.io.OutputStream ostream)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public static void decode(java.lang.String data,
                              java.io.OutputStream ostream)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### encode

    public static java.lang.String encode(byte[] data)

  Returns base64 representation of specified byte array.

### encode

    public static java.lang.String encode(byte[] data,
                                          int off,
                                          int len)

  Returns base64 representation of specified byte array.

### encode

    public static void encode(byte[] data,
                              int off,
                              int len,
                              java.io.OutputStream ostream)
                       throws java.io.IOException

  Outputs base64 representation of the specified byte array to a byte stream.

  Throws:
    `java.io.IOException`

### encode

    public static void encode(byte[] data,
                              int off,
                              int len,
                              java.io.Writer writer)
                       throws java.io.IOException

  Outputs base64 representation of the specified byte array to a character stream.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.